From 5265fe04ee7bd4b49da495d470361ef506a95fdd Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 9/32] Issues: Update bugzilla endpoint


---

diff --git a/hubs/widgets/issues/__init__.py b/hubs/widgets/issues/__init__.py
index a14a7c5..4838f88 100644
--- a/hubs/widgets/issues/__init__.py
+++ b/hubs/widgets/issues/__init__.py
@@ -55,9 +55,13 @@ class DataView(WidgetView):
         data = {
             'issues': all_issues,
             'more': {
-                'bugzilla': {'count': bzcnt, 'link': '#'},
+                'bugzilla': {'count': bzcnt,
+                             'link': 'https://bugzilla.redhat.com/buglist.cgi?quicksearch=reporter:{}'
+                                     .format(instance.hub.config['bugzilla_email'])
+                             },
                 'pagure': {'count': pcnt,
-                           'link': 'https://pagure.io/user/{}/issues'.format(instance.hub.config['pagure_username'])},
+                           'link': 'https://pagure.io/user/{}/issues'.format(instance.hub.config['pagure_username'])
+                           },
                 'github': {'count': ghcnt,
                            'link': 'https://github.com/issues?q=type:issue+state:open+{}:{}'
                                     .format(instance.config['mode'], instance.hub.config['github_username'])
diff --git a/hubs/widgets/issues/functions.py b/hubs/widgets/issues/functions.py
index 226ec49..7e1524a 100644
--- a/hubs/widgets/issues/functions.py
+++ b/hubs/widgets/issues/functions.py
@@ -7,7 +7,11 @@ class GetBugzillaBugs(CachedFunction):
 
     def execute(self):
         email = self.instance.hub.config['bugzilla_email']
-        endpoint = 'https://bugzilla.redhat.com/jsonrpc.cgi?method=Bug.search&params=[{{"{}":"{}"}}]'
+        endpoint = 'https://bugzilla.redhat.com/jsonrpc.cgi?method=Bug.search&params=' \
+                   '[{{' \
+                   '"{}":"{}",' \
+                   '"status":["NEW","VERIFIED","ASSIGNED","MODIFIED","ON_DEV","ON_QA","RELEASE_PENDING","POST"]' \
+                   '}}]'
         mode = 'creator' if self.instance.config['mode'] == 'author' else 'assigned_to'
         response = requests.get(endpoint.format(mode, email)).json()
         issues = response['result']['bugs']

